> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Person bio

GET https://api.filesearch.dev/v2/datasets/odyssey/people/{person_id}/bio

Get person bio with high-level profile information

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/people/people-bio

## Request

### Path parameters

- `person_id` (string, required) — Person entity ID

## Response

### 200

Successful Response

- `entity_id` (string, required)
- `connection_count` (integer, optional, nullable)
- `current_company` (PersonBioResponseCurrentCompany, optional, nullable)
- `education` (list of PersonEducationItem, optional)
- `emails` (list of string, optional)
- `experience` (list of PersonExperienceItem, optional)
- `facebook_url` (string, optional, nullable)
- `follower_count` (integer, optional, nullable)
- `full_name` (string, optional, nullable)
- `github_url` (string, optional, nullable)
- `headline` (string, optional, nullable)
- `linkedin_url` (string, optional, nullable)
- `location` (map from string to string, optional, nullable)
- `phone_numbers` (list of string, optional)
- `profile_image_url` (string, optional, nullable)
- `social_profiles` (map from string to string, optional)
- `summary` (string, optional, nullable)
- `total_degrees` (integer, optional, default: 0)
- `total_positions` (integer, optional, default: 0)
- `total_years_experience` (double, optional, nullable)
- `twitter_url` (string, optional, nullable)

## Types

### PersonBioResponseCurrentCompany

### PersonEducationItem

Single education entry.

- `activities` (string, optional, nullable)
- `degree` (string, optional, nullable)
- `end_date` (string, optional, nullable)
- `field_of_study` (string, optional, nullable)
- `gpa` (string, optional, nullable)
- `school` (string, optional, nullable)
- `start_date` (string, optional, nullable)

### PersonExperienceItem

Single work experience entry.

- `company` (string, optional, nullable)
- `company_id` (string, optional, nullable)
- `description` (string, optional, nullable)
- `duration_months` (integer, optional, nullable)
- `end_date` (string, optional, nullable)
- `is_current` (boolean, optional, nullable)
- `location` (string, optional, nullable)
- `start_date` (string, optional, nullable)
- `title` (string, optional, nullable)

## Examples

**SDK Code**

```python
import json
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"
PERSON_ID = "person_id_example"

headers = {
    "Authorization": f"Bearer {API_KEY}",
}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/people/{PERSON_ID}/bio",
    headers=headers,
    timeout=30.0
)

print(json.dumps(response.json(), indent=2))
```

```typescript
const BASE_URL = "https://api.filesearch.dev";

const API_KEY = "your_api_key";

const person_id = "person_id_example";

const headers = {
  Authorization: `Bearer ${API_KEY}`,
};

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/people/${person_id}/bio`, {
  method: "GET",
  headers,
});

const data = await response.json();
console.log(JSON.stringify(data, null, 2));
```